// ODBCSetupView.h : interface of the CODBCSetupView class
//
/////////////////////////////////////////////////////////////////////////////

class CODBCSetupView : public CFormView
{
protected: // create from serialization only
	CODBCSetupView();
	DECLARE_DYNCREATE(CODBCSetupView)

public:
	//{{AFX_DATA(CODBCSetupView)
	enum{ IDD = IDD_ODBCSETUP_FORM };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Attributes
public:
	CODBCSetupDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CODBCSetupView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CODBCSetupView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
BOOL ProcessErrorMessages( char * func );
BOOL IsMyDriverInstalled();
BOOL InstallMyDriver();
BOOL InstallMyTranslator();
BOOL AddMyDSN();
void CreateAttributeString( char * pszAttributes );
BOOL BumpUpDriverUsageCount();

// Generated message map functions
protected:
	//{{AFX_MSG(CODBCSetupView)
	afx_msg void OnInstall();
	afx_msg void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ODBCSetupView.cpp
inline CODBCSetupDoc* CODBCSetupView::GetDocument()
   { return (CODBCSetupDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
